qt6-base (6.9.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add ccache to B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Jul 2025 21:19:42 +0200

qt6-base (6.9.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Refresh patches.
  * Bump B-Ds for the documentation to 6.9.
  * Update ABI to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Jul 2025 17:43:21 +0200

qt6-base (6.8.2+dfsg-8) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to fix CVE-2025-5455 (Closes: #1108474).

 -- Patrick Franz <deltaone@debian.org>  Sun, 29 Jun 2025 23:52:49 +0200

qt6-base (6.8.2+dfsg-7) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to prevent unregistering an input device if the list
    is destroyed (Closes: 1108018).
  * Backport patch to rely on CUPS for multiple page ranges (Closes:
    #1108026).

 -- Patrick Franz <deltaone@debian.org>  Fri, 20 Jun 2025 00:08:21 +0200

qt6-base (6.8.2+dfsg-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to fix issue when configuring Plasma to have multiple
    Notification widgets, fixes QTBUG-134210.
  * Backport patch to fix CVE-2025-3512 (Closes: #1103022).
  * Let qt6-gtk-platformtheme depend on gnome-themes-extra-data to fix
    issue with dark themes (Closes: #1095836).

  [ Pino Toscano ]
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Apr 2025 21:33:04 +0200

qt6-base (6.8.2+dfsg-5) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:21:39 +0100

qt6-base (6.8.2+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.
  * Backport several patches from Qt 6.8.3.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Feb 2025 03:40:09 +0100

qt6-base (6.8.2+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds, with manual tweaks.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Feb 2025 15:28:07 +0100

qt6-base (6.8.2+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.
  * Update install files for more Linux-only bits.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Feb 2025 19:52:39 +0100

qt6-base (6.8.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Refresh patches.
  * Bump B-Ds for the documentation to 6.8.
  * Update ABI to 6.8.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 02 Feb 2025 21:05:30 +0100

qt6-base (6.7.2+dfsg-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Create <triplet>-qtpaths6 cross wrapper (Closes: 1057346).
  * Fix FTCBFS: Update debian/not-installed. (Closes: #1089600)

  [ Sandro Knauß ]
  * Install the qtpaths6 wrapper scripts within qt6-base-dev.
  * Remove version contrain on firebird-dev, as it does not exist << 4.0
    anymore.

 -- Sandro Knauß <hefee@debian.org>  Sun, 02 Feb 2025 13:00:45 +0100

qt6-base (6.7.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Let libqt6gui6 recommend qt6-svg-plugins.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Dec 2024 22:49:21 +0100

qt6-base (6.7.2+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Backport upstream commit fc3e3d033584c62dfb2f3e3da551a7dbd7c0150d to fix
    the build on the Hurd; patch
    upstream_QStorageInfo-Unix-fix-declaration-of-mnt-on-Hurd.patch.
  * Update the symbols files:
    - mark some Linux symbols as such
    - mark 64bit symbols as such
    - drop ia64 markers, as that architecture was discontinued

  [ Patrick Franz ]
  * Do not ship the androiddeployqt tool any more and always use
    androiddeployqt6 instead. Also, add a symlink for androiddeployqt6
    in /usr/bin.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Oct 2024 19:35:31 +0200

qt6-base (6.7.2+dfsg-3) unstable; urgency=medium

  * Merge 6.6.2+dfsg-12 upload from unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:12:57 +0200

qt6-base (6.7.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Bump B-Ds for the documentation to 6.7.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Aug 2024 12:31:00 +0200

qt6-base (6.7.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Remove patches that have been applied upstream.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update ABI to 6.7.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 29 Aug 2024 01:31:57 +0200

qt6-base (6.6.2+dfsg-12) unstable; urgency=medium

  * Team upload.
  * Replace Qml2Imports (deprecated) with QmlImports in debian/qt.conf.in.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Sep 2024 22:08:16 +0300

qt6-base (6.6.2+dfsg-11) unstable; urgency=medium

  * Team upload.
  * Add a patch to use _Float16 only when SSE2 is enabled (closes: #1076986).
  * Backport upstream patch to fix QGtk3Interface::fileIcon with GLib ≥ 2.76.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 02 Aug 2024 18:24:23 +0300

qt6-base (6.6.2+dfsg-10) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 7d9d1220f367d9275dfaa7ce12e89b0a9f4c1978 to use
    also the zstd::libzstd cmake target, if available; patch
    upstream_Prefer-using-the-non-suffixed-libzstd-over-static-on.patch.
  * Backport upstream commit 3073b9c4dec5e5877363794bf81cbd4b84fdb9ee to promote
    the libzstd cmake targets to global; patch
    upstream_Ensure-that-libzstd-targets-are-promoted-to-global-i.patch.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Jul 2024 21:53:21 +0200

qt6-base (6.6.2+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Drop the unused ${perl:Depends} substvar from qt6-base-dev-tools, and
    qmake6.
  * Exclude one symbol in libqt6core6t64.symbols from hurd-i386, as it is not
    available on x86 architectures.
  * Update install files for more Linux-only bits.
  * Enable the Vulkan support on all the architectures (i.e. not only on
    Linux), as vulkan-loader is portable, and now available also on non-Linux
    architectures in Debian:
    - remove the linux-any limitation for the libvulkan-dev build and runtime
      dependency
    - remove the linux-any limitation for the vulkan-related symbols in
      libqt6gui6.symbols
    - remove the linux-any limitation for the vulkan-related files in install
      files
  * Sort the install files.
  * Backport upstream commit f319895389705a3db7c2134d1ed47ceade1b204e to fix
    the build on the Hurd; patch
    upstream_IPC-add-PATH_MAX-less-fallback-definition-for-MAX_PA.patch.
  * Copy/import the patch armv4.diff from Qt5 to support ARMv4; it is needed
    to be able to build Qt6 bits with clang 16 and older, which in Debian still
    defaults to ARMv4.

 -- Pino Toscano <pino@debian.org>  Fri, 05 Jul 2024 07:44:11 +0200

qt6-base (6.6.2+dfsg-8) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove the temporary Provides for the t64-suffix.
  * Handle upstream ABI break (Closes: #1071193, #1071436).

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:11:40 +0200

qt6-base (6.6.2+dfsg-7) experimental; urgency=medium

  [ Patrick Franz ]
  * Add temporary Provides to libraries without the t64 suffix.

 -- Patrick Franz <deltaone@debian.org>  Fri, 03 May 2024 23:49:40 +0200

qt6-base (6.6.2+dfsg-6) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6core6 back to libqt6core6t64.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 May 2024 15:02:09 +0200

qt6-base (6.6.2+dfsg-5) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Add HostLibraryExecutables to debian/qt.conf.in (closes: #1060267).
    Thanks Maarten van der Schrieck!
  * Use time_t subst for the qLocalTime(time_t, tm*) symbol.

  [ Patrick Franz ]
  * Revert renaming libraries from the time_t transition.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 May 2024 00:48:20 +0200

qt6-base (6.6.2+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Add B-Ds for XCB.
  * Do not reduce the amount of relocations (Closes: #1059249).
  * Clean up cmake-arguments.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Feb 2024 19:43:30 +0100

qt6-base (6.6.2+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not run tests when building the documentation (Closes: #1064199).

 -- Patrick Franz <deltaone@debian.org>  Sun, 18 Feb 2024 13:27:27 +0100

qt6-base (6.6.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 18 Feb 2024 10:32:20 +0100

qt6-base (6.6.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Update ABI to 6.6.2.
  * Refresh patches and remove patches that have been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Feb 2024 19:44:16 +0100

qt6-base (6.6.1+dfsg-6) experimental; urgency=medium

  [ Patrick Franz ]
  * Rebuild with fix for the latest CVE included.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Jan 2024 17:55:50 +0100

qt6-base (6.6.1+dfsg-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Dec 2023 21:31:19 +0100

qt6-base (6.6.1+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 07 Dec 2023 22:46:13 +0100

qt6-base (6.6.1+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 07 Dec 2023 20:10:57 +0100

qt6-base (6.6.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 06 Dec 2023 18:44:26 +0100

qt6-base (6.6.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Backport patch to fix accessibility support on Wayland.
  * Make qt6-base-dev depend on libqt6opengl6 again.
  * New upstream release (6.6.1).
  * Update ABI to 6.6.1.
  * Remove patches that have been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 04 Dec 2023 21:52:53 +0100

qt6-base (6.6.0+dfsg-6) experimental; urgency=medium

  [ Tianyu Chen ]
  * Update missing dependency on libxcb-cursor-dev.
  * Update list of installed files.
  * Update symbols.

  [ Patrick Franz ]
  * Remove flags to skip the inclusion of plugins as this is done via a
    patch now.

 -- Patrick Franz <deltaone@debian.org>  Fri, 03 Nov 2023 22:38:52 +0100

qt6-base (6.6.0+dfsg-5) experimental; urgency=medium

  * Team upload.
  * Add two patches:
    - be_verbose_on_plugin_inclusion.patch currently on upstream's Gerrit.
    - enable_skip_plugins.patch
    These set QT_SKIP_AUTO_PLUGIN_INCLUSION and
    QT_SKIP_AUTO_QML_PLUGIN_INCLUSION to ON by default, thus avoiding
    unnecessary build dependencies on plugins.
  * Refresh patches.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 02 Nov 2023 22:33:30 -0300

qt6-base (6.6.0+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not include targets for plugins and QML plugins in cmake-files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Nov 2023 00:03:22 +0100

qt6-base (6.6.0+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Oct 2023 18:08:38 +0200

qt6-base (6.6.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename the virtual ABI package to qt6-base-private-abi.
  * Update symbols from buildlogs.
  * Move prf-files into qmake6-package (Closes: #1053824).

 -- Patrick Franz <deltaone@debian.org>  Thu, 12 Oct 2023 18:18:14 +0200

qt6-base (6.6.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Update ABI to 6.6.0.
  * Remove references to htmlinfo examples.
  * Remove patches that have been applied upstream.
  * Readjust patches for 6.6.0.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Install source code for examples (Closes: #1051494).
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Wed, 11 Oct 2023 21:00:14 +0200

qt6-base (6.4.2+dfsg-21.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062725

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:45:27 +0000

qt6-base (6.4.2+dfsg-21) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix CVE-2023-51714.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Jan 2024 14:53:25 +0100

qt6-base (6.4.2+dfsg-20) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix CVE-2023-37369.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Dec 2023 16:11:45 +0100

qt6-base (6.4.2+dfsg-19) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport upstream patch to fix build with libxkbcommon 1.6.0
    (Closes: #1054674).

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Oct 2023 11:26:45 +0200

qt6-base (6.4.2+dfsg-18) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Do build sqlbrowser. (Closes: #1042709)
  * Move from deprecated QT_BUILD_TOOLS_WHEN_CROSSCOMPILING to
    QT_FORCE_BUILD_TOOLS.

  [ John Paul Adrian Glaubitz ]
  * Add Add-SH-detection.patch in order to restore SH detection
   (Closes: #1043225).

 -- Patrick Franz <deltaone@debian.org>  Tue, 08 Aug 2023 08:40:37 +0200

qt6-base (6.4.2+dfsg-17) unstable; urgency=medium

  * Team upload.
  * Add remove_rpath_from_examples.patch in order to avoid setting
    RPATH/RUNPATH on examples' binaries.
  * Add forkfd_grow_stack_upwards_on_hppa.patch to solve how stack grows in
    HPPA. Thanks John David Anglin for the patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 28 Jul 2023 14:26:34 -0300

qt6-base (6.4.2+dfsg-16) unstable; urgency=medium

  * Team upload.
  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Jul 2023 09:47:53 -0300

qt6-base (6.4.2+dfsg-15) experimental; urgency=medium

  * Team upload.

  [ Eren Eroğlu ]
  * Add qt6-base-doc* packages.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove build path from documentation's index files.
  * Add a lintian override for qt6-base-doc-html, documentation is shipped in
    another path on Qt6. We provide symlinks in order to fix this.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Jul 2023 13:21:44 -0300

qt6-base (6.4.2+dfsg-14) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 17 Jul 2023 16:42:10 -0300

qt6-base (6.4.2+dfsg-13) experimental; urgency=medium

  * Team upload to unstable.

  [ Pino Toscano ]
  * Drop the support for the dead GNU/kFreeBSD (which was never really used):
    - drop the kfreebsd-any qualifiers from the firebird-dev build dependency
    - drop the kfreebsd-any qualifiers from binary packages
    - drop the kfreebsd-any qualifiers in install files
  * Backport upstream commit eeb66b99df521c4a32b8eda1d889f615319355a6 to support
    Alpha; patch upstream_Add-enable-Alpha-detection.patch. (Closes: #1025823)
  * Mark some Linux-only examples in qt6-base-examples as such.
  * Recommend qt6-wayland in libqt6gui6, so it is installed by default.
    (Closes: #1038089)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix wrong Break+Replaces on qt6-base-dev against libqt6opengl6-dev
    (Closes: #1041300). Thanks Helmut Grohne for the bug report.
  * Remove libgl1-mesa-dev from build dependencies. It has been superseded by
    libgl-dev, which is already a build dependency.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 17 Jul 2023 15:52:14 -0300

qt6-base (6.4.2+dfsg-12) experimental; urgency=medium

  * Team upload.
  * Enable building the examples, even if they do not ship the source code as
    Qt 5 does.
  * Merge libqt6opengl6-dev into qt6-base-dev, it is not the same situation as
    with Qt 5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 12 Jul 2023 14:21:06 -0300

qt6-base (6.4.2+dfsg-11) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix CVE-2023-34410 (Closes: #1037209).

 -- Patrick Franz <deltaone@debian.org>  Wed, 07 Jun 2023 21:54:59 +0200

qt6-base (6.4.2+dfsg-10) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix CVE-2023-33285 (Closes: #1036848).

 -- Patrick Franz <deltaone@debian.org>  Sun, 28 May 2023 10:41:24 +0200

qt6-base (6.4.2+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Add a patch to fix CVE-2023-32762.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 May 2023 11:40:45 -0300

qt6-base (6.4.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Add patch for solving CVE-2023-32763.
  * Refresh patches.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 May 2023 10:42:21 -0300

qt6-base (6.4.2+dfsg-7) unstable; urgency=medium

  [ Patrick Franz ]
  * Update patch for CVE-2023-24607.

 -- Patrick Franz <deltaone@debian.org>  Tue, 28 Feb 2023 23:22:10 +0100

qt6-base (6.4.2+dfsg-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix CVE-2023-24607 (Closes: #1031871).

 -- Patrick Franz <deltaone@debian.org>  Fri, 24 Feb 2023 22:31:24 +0100

qt6-base (6.4.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix path for <triplet>-qmake6 cross wrapper.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Feb 2023 16:14:43 +0100

qt6-base (6.4.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Workaround wrong path in CMake file, Qt6::qmake IMPORTED_LOCATION by
    modifying the path (Closes: #1030895).
    Thanks Helmut Grohne and Dmitry Shachnev for the bug and solution.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 20 Feb 2023 16:54:52 -0300

qt6-base (6.4.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Remove symbols related to libzstd. They where there because of the static
    library.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Feb 2023 16:47:48 -0300

qt6-base (6.4.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files with buildd's logs.
  * Force the usage of the shared version of libzstd (Closes: #1030546).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Feb 2023 15:50:58 -0300

qt6-base (6.4.2+dfsg-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass QT_HOST_PATH. (Closes: #1023054)
    + cross.patch: Honour PKG_CONFIG_EXECUTABLE
    + cross.patch: Allow building android tools
    + Pass QT_HOST_* variables to build.
    + Depend on a native qt toolchain for the former.
    + Do build tools even when cross building.
    + Add excess files to debian/not-installed.
  * Install <triplet>-qmake6 cross wrapper (Closes: #1025663).

 -- Patrick Franz <deltaone@debian.org>  Tue, 31 Jan 2023 19:16:32 +0100

qt6-base (6.4.2+dfsg~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:05 +0100

qt6-base (6.4.2+dfsg~rc1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 28 Dec 2022 14:19:02 +0100

qt6-base (6.4.2+dfsg~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015617).
  * Update ABI to 6.4.2.
  * Update excluded files from tarball.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:26:09 +0100

qt6-base (6.4.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Make cmake a suggestion of qt6-base-dev-tools instead of a hard
    dependency (Closes: #1019870).
  * New upstream release (6.4.1).
  * Update ABI to 6.4.1.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Nov 2022 18:30:46 +0100

qt6-base (6.4.0+dfsg-5) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Oct 2022 18:06:33 +0200

qt6-base (6.4.0+dfsg-4) experimental; urgency=medium

  * Team upload.
  * Backport upstream commit e81cba0cd33339c2e5f5e3c670741605264b21c2 to support
    HPPA; patch upstream_Add-HPPA-detection.patch. (Closes: #1021404)
  * Backport upstream commit ac17a394a5701174c705050640e26c9cb95d289b to support
    M68k; patch upstream_Add-M68k-detection.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Oct 2022 07:43:54 +0200

qt6-base (6.4.0+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not install cmake-files for various plugins.

 -- Patrick Franz <deltaone@debian.org>  Sun, 02 Oct 2022 11:20:53 +0200

qt6-base (6.4.0+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Oct 2022 08:19:09 +0200

qt6-base (6.4.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.0).
  * Update ABI to 6.4.0.
  * Remove some patches as they have been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Oct 2022 20:35:52 +0200

qt6-base (6.3.1+dfsg-10) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version to 3.24. Version 3.18 in stable won't create
    pkg-config's .pc files, and we are installing them now. The change might
    have occurred in a previous CMake version.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * Add cmake as a dependency to qt6-base-dev-tools as qt-cmake requires
    it (Closes: #1019870).
  * Move development files for libQt6EglFSDeviceIntegration,
    libQt6EglFsKmsGbmSupport and libQt6EglFsKmsSupport from qt6-base-dev
    into libqt6opengl6-dev (Closes: #1017940).

  [ Pino Toscano ]
  * Update symbols files from the logs of buildds.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Oct 2022 18:58:47 +0200

qt6-base (6.3.1+dfsg-9) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add libvulkan-dev [linux-any] as a qt6-base-dev dependency, as some CMake
    file looks for it. (Closes: #1018877)

  [ Pino Toscano ]
  * Update symbols files for an ia64-specific change.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 03 Sep 2022 08:15:09 +0200

qt6-base (6.3.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Update symbols files with current build logs, marking QString::clear() as
    optional (it's an inline).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 18 Aug 2022 22:08:54 -0300

qt6-base (6.3.1+dfsg-7) unstable; urgency=medium

  * Team upload.
  * qt6-qpa-plugins: add missing Breaks against libqt6opengl6 and restore the
    correct version for libqt6network6.
  * Update symbols files with latests buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 18 Aug 2022 14:38:17 -0300

qt6-base (6.3.1+dfsg-6) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Make libqt6gui6 recommend qt6-qpa-plugins.

  [ Patrick Franz ]
  * Move lots of QPA plugins into library packages.
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 18:53:42 +0200

qt6-base (6.3.1+dfsg-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 04:04:45 +0200

qt6-base (6.3.1+dfsg-4) experimental; urgency=medium

  [ Pino Toscano ]
  * Drop -march=native from the CXXFLAGS, as it will optimize the build for the
    hardware it is built on (i.e. a specific buildd for each architecture),
    making the binaries unusable (SIGBUS, "Illegal instruction") on hardware
    without the build-time features.

  [ Patrick Franz ]
  * Add patch to not use yield on CPUs that do not support it (thx to
    Adrian Bunk).

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Jul 2022 20:37:59 +0200

qt6-base (6.3.1+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust CXXFLAGS.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Jul 2022 02:58:23 +0200

qt6-base (6.3.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Add CXXFLAGS to fix build failure on armel.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Jul 2022 02:16:45 +0200

qt6-base (6.3.1+dfsg-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Update symbols files from the logs of buildds.

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Update ABI to 6.3.1.
  * Remove upstream_Explicitly-check-for-atomic-addition.patch and
    upstream_Hardcode-atomic_LIB-as-latomic.patch as they have been
    applied upstream.
  * Update patches.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Jul 2022 20:03:54 +0200

qt6-base (6.3.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 24 May 2022 08:48:38 +0200

qt6-base (6.3.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update ABI to 6.3.0.
  * Remove upstream_QStorageInfo-limit-Linux-only-code-with-
    Q_OS_LINUX.patch as it has been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Mon, 23 May 2022 20:12:56 +0200

qt6-base (6.2.4+dfsg-10) unstable; urgency=medium

  * Team upload.
  * qtpaths and qtpaths6 follow the same logic as qmake and qmake6: they are
    both identical files. Only install qtpaths6 and link it into /usr/bin.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 07 Jul 2022 11:30:30 -0300

qt6-base (6.2.4+dfsg-9) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update symbols files from the logs of buildds.
  * Make libqt6core6 depend on shared-mime-info: QtCore is built without an
    embedded freedesktop MIME type database, so the system one is needed to
    make the QMimeType APIs work; this matches what was done in
    qtbase-opensource-src 5.14.1+dfsg-1.
  * Make libqt6core6 recommend qt6-translations-l10n; this matches what was
    done in qtbase-opensource-src 5.3.1+dfsg-5.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove dependencies upon qtchooser, we don't need them in Qt 6.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 06 Jul 2022 16:33:21 -0300

qt6-base (6.2.4+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Disable relocatable feature, to fix paths on usr-merged systems.
    Thanks to Steven Trabert for the patch! (Closes: #1010575, LP: #1970057)
  * Mark one inline symbol as optional to fix build on Ubuntu ppc64el.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 May 2022 00:56:59 +0300

qt6-base (6.2.4+dfsg-7) unstable; urgency=medium

  * Team upload.

  [ Dmitry Shachnev ]
  * Backport two upstream patches to fix libatomic detection.
  * Update symbols files from buildds’ logs.

  [ Lu YaNing ]
  * Modify LibraryExecutables path.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 20:14:37 +0300

qt6-base (6.2.4+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Bump Standards-Version to 4.6.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 14 May 2022 06:39:30 +0200

qt6-base (6.2.4+dfsg-5) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Move plugins to the package they do belong to:
    - libqcertonlybackend.so and libqopensslbackend.so to libqt6network6.
    - libqgif.so, libqico.so and libqjpeg.so to libqt6gui6.
    (Closes: #1009632).

 -- Patrick Franz <deltaone@debian.org>  Sat, 30 Apr 2022 19:16:53 +0200

qt6-base (6.2.4+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:19 +0200

qt6-base (6.2.4+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Add libgl-dev as a dependency for qt6-base-dev.

 -- Patrick Franz <deltaone@debian.org>  Mon, 11 Apr 2022 19:13:00 +0200

qt6-base (6.2.4+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable rpath.
  * Add libglx-dev and libopengl-dev as dependencies for qt6-base-dev.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Apr 2022 20:52:38 +0200

qt6-base (6.2.4+dfsg-1) experimental; urgency=medium

  [ Lu YaNing ]
  * New upstream release (6.2.4).
  * Update ABI to 6.2.4.
  * Update installed files.
  * Update symbols.
  * Update d/copyright.
  * Update lintian-overrides.
  * Specifies parameters to pass to the platform plugin.

  [ Patrick Franz ]
  * Add patch to prevent embedding the build path, thx to Vagrant
    Cascadian (Closes: #1006407).
  * Do not hardcode the libssl version as a dependency for
    libqt6network6, thx to Dan Bungert (Closes: #1006954).

 -- Patrick Franz <deltaone@debian.org>  Sun, 27 Mar 2022 16:35:23 +0200

qt6-base (6.2.2+dfsg-6) unstable; urgency=medium

  [ Pino Toscano ]
  * Backport upstream commit 06e45cbd6a2e09bc32cb1c9aa3779d6bd5282c45 to fix
    a memory leak in QFileSystemEngine::canonicalName() (caused by patch
    upstream_Avoid-a-stack-buffer-when-not-needed.patch); patch
    upstream_QFileSystemEngine-canonicalName-Unix-clean-up-contro.patch.
  * Replace the libmariadb-dev-compat build dependency with
    default-libmysqlclient-dev: other than aligning with what is used for
    qt5-base, it represents better "the default MySQL client library" in Debian.

 -- Patrick Franz <deltaone@debian.org>  Mon, 21 Feb 2022 18:35:17 +0100

qt6-base (6.2.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 21:10:59 +0100

qt6-base (6.2.2+dfsg-4) experimental; urgency=medium

  [ Pino Toscano ]
  * Backport upstream commit 06e7b5168e269f913f03ecb9d77fc82db4d9dfd6 to enable
    LFS on Hurd; patch upstream_Hurd-enable-XOPEN-largefile-APIs.patch.
  * Replace patch path_max.diff with upstream commit
    7c54988b1b3b9eb4d2f3650c1ba5ffe97673ca92; patch
    upstream_Avoid-a-stack-buffer-when-not-needed.patch.
  * Pass -DFEATURE_system_libb2=ON to cmake to make sure the system blake2
    implementation (libb2) is used instead of the embedded copy.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 01:09:24 +0100

qt6-base (6.2.2+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Backport/add patches for Hurd support:
    - backport upstream commit 099e0fff61f080e2d628c8f472df78f6fd2f5234 to
      support Hurd in the CMake build system; patch
      upstream_CMake-add-support-for-GNU-Hurd.patch
    - backport upstream commit 13a11f1c3526112eaf28943185fadc14523fd496 to
      fix an unconditional PIPE_BUF usage; patch
      upstream_QProcess-Unix-fallback-on-_POSIX_PIPE_BUF-w-missing-.patch
    - backport upstream commit bf2fe41616c54712f78ea0ffd173f3614eb20190 to
      limit a Linux-only code block in the QStorageInfo implementation; patch
      upstream_QStorageInfo-limit-Linux-only-code-with-Q_OS_LINUX.patch
    - borrow path_max.diff from qt-base 5 to avoid an unconditional PATH_MAX
      usage
  * Update install files for few more Linux-only bits.
  * Simplify a lot the handling of private symbols in symbols files: since they
    are tagged as Qt_6_PRIVATE_API, use a single (symver) directive to match
    all of them at once; there is no minimum version set, as there is already
    an alternate dependency that sets a strict requirement on qt6-base-abi.
  * Update symbols files from the logs of buildds, and from the log of a manual
    hurd-i386 build (marking linux-only and hurd-i386 symbols).

 -- Pino Toscano <pino@debian.org>  Sat, 29 Jan 2022 09:32:23 +0100

qt6-base (6.2.2+dfsg-2) experimental; urgency=medium

  [ Pino Toscano ]
  * Update symbols files from the logs of buildds.

  [ Patrick Franz ]
  * Remove copyright-script as it is now in the pkg-kde-tools package.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add a qmake6 symlink to usr/bin.

 -- Patrick Franz <deltaone@debian.org>  Fri, 31 Dec 2021 18:44:53 +0100

qt6-base (6.2.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Update ABI to 6.2.2.
  * Update installed files.
  * Update lintian-overrides.
  * Update symbols.
  * Remove unneeded licenses from d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Dec 2021 23:55:33 +0100

qt6-base (6.2.1+dfsg-5) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds; do manual fixes for vulkan
    symbols in qt6gui6 for 32bit vs 64bit versions, and for CPU-specific ones.

 -- Pino Toscano <pino@debian.org>  Sun, 21 Nov 2021 19:58:51 +0100

qt6-base (6.2.1+dfsg-4) experimental; urgency=medium

  * Team upload.
  * Update install files for Linux-only bits.
  * Update libqt6test6.symbols for 32bit architectures.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Nov 2021 16:53:32 +0100

qt6-base (6.2.1+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Restrict the liblttng-ust-dev build dependency as linux-any, as it is
    specific for Linux.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Nov 2021 12:29:08 +0100

qt6-base (6.2.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Change path for libexec.

 -- Patrick Franz <deltaone@debian.org>  Sat, 20 Nov 2021 03:07:02 +0100

qt6-base (6.2.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Tighten dependencies.
  * New upstream release (6.2.1).
  * Update ABI to 6.2.1.
  * Update installed files.
  * Update symbols.

 -- Patrick Franz <deltaone@debian.org>  Fri, 05 Nov 2021 15:51:24 +0100

qt6-base (6.2.0+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #994478).

 -- Patrick Franz <deltaone@debian.org>  Fri, 17 Sep 2021 02:34:49 +0200
